SETPCI(8)

NOM
setpci - Configurer les périphériques PCI

SYNOPSIS
setpci [options] périphériques opérations...

DESCRIPTION

setpci est un utilitaire pour interroger et configurer les périphériques PCI. Tous les nombres sont saisis en notation hexadécimale. Les privilèges du superutilisateur sont nécessaires pour presque toutes les opérations, à l'exception des lectures de l'entête standard de l'espace de configuration sur certains systèmes. Veuillez consulter lspci(8) pour les détails sur les autorisations d'accès.

OPTIONS

  Options générales

-v  Mode volubile. Afficher des informations détaillées concernant les accès à l'espace de configuration.

-f  Demander à setpci de ne pas se plaindre lorsqu'il n'y a rien à faire (lorsqu'aucun périphérique n'est sélectionné). Cette option est conçue pour être utilisée dans des scripts de configuration largement distribués lorsqu'il n'est pas certain que le périphérique en question soit installé sur la machine.

-D  « Mode démo » -- ne rien écrire dans les registres de configuration. Il est utile d'essayer setpci -vD pour voir la séquence complexe des opérations que setpci effectuera avant de le faire vraiment.

--version
    Afficher la version de setpci. Cette option doit être utilisée toute seule.

  Options d'accès PCI

Les utilitaires PCI utilisent la bibliothèque PCI pour dialoguer avec les périphériques PCI (voir pcilib(7) pour plus de détails). Vous pouvez utiliser les options suivantes pour influer sur son comportement :

-A <method>
    La bibliothèque prend en charge plusieurs méthodes d'accès au matériel PCI. Par défaut, elle utilise la première méthode d'accès disponible, mais vous pouvez utilisez cette option pour outrepasser cette décision. Voir -A help pour une liste des méthodes disponibles et leurs descriptions.

-O <param>=<value>
    Le comportement de la bibliothèque est contrôlé par plusieurs paramètres nommés. Cette option permet de définir la valeur de n'importe lequel des paramètres. Utilisez -O help pour une liste des paramètres connus et leurs valeurs par défaut.

-H1 Utiliser l'accès matériel direct via le mécanisme 1 de configuration Intel (c'est un raccourci pour -A intel-conf1).

-H2 Utiliser l'accès matériel direct via le mécanisme 2 de configuration Intel (c'est un raccourci pour -A intel-conf2).

-G  Accroître le niveau de débogage de la bibliothèque

SÉLECTION DES PÉRIPHÉRIQUES

Avant chaque séquence d'opérations, vous devez sélectionner les périphériques sur lesquels vous souhaitez opérer.

-s [[[[<domain>]:]<bus>]:][<slot>][.[<func>]]
    Montrer seulement les périphériques du domaine indiqué (si votre machine possède plusieurs ponts d'hôtes, soit ils peuvent partager le même numéro de bus, soit chacun d'eux peut s'adresser un domaine PCI ; les domaines sont numérotés de 0 à ffff), du bus indiqué (0 à ff), de l'emplacement indiqué (0 à 1f) et de la fonction indiquée (0 à 7). Chaque élément de l'adresse du périphérique peut être omis ou défini à « * », les deux signifiant « toute valeur ». Par exemple, « 0: » signifie tous les périphériques du bus 0, « 0 » signifie toutes les fonctions du périphérique 0 de tous les bus, « 0.3 » sélectionne la troisième fonction du périphérique 0 sur tous les bus et « .4 » montre seulement la quatrième fonction de chaque périphérique.

-d [<vendor>]:[<device>]
    Sélectionner les périphériques dont les identifiants de vendeur et de périphérique sont fournis. Les deux identifiants doivent être indiqués sous forme hexadécimale et peuvent être omis ou définis à « * », les deux signifiant « toute valeur ».

OPÉRATIONS

Pour obtenir la valeur d'un registre de configuration, nommez-le (en tapant soit son nom, soit son adresse avec un suffixe .B, .W ou .L optionnel indiquant la taille du registre comme étant un octet (byte), un mot (word) ou un mot long (longword).

Pour définir un registre, écrivez reg=values où reg est identique à ce que vous auriez utilisé pour interroger le registre et values est une liste de valeurs séparées par des virgules que vous voulez écrire en commençant à l'adresse donnée. Chaque valeur à écrire peut être indiquée sous la forme d'un nombre hexadécimal ou bien sous la forme d'une paire bits:masque qui fera que les bits à 1 de mask modifieront les valeurs des bits correspondants dans bits.

NOMS DES REGISTRES

setpci connaît les noms de registres de configuration suivants. Voir les spécifications du bus PCI pour leur signification précise ou consultez header.h ou /usr/include/linux/pci.h pour quelques commentaires.

VENDOR_ID
DEVICE_ID
COMMAND
STATUS
REVISION
CLASS_PROG
CLASS_DEVICE
CACHE_LINE_SIZE
LATENCY_TIMER
HEADER_TYPE
BIST
BASE_ADDRESS_0
BASE_ADDRESS_1
BASE_ADDRESS_2
BASE_ADDRESS_3
BASE_ADDRESS_4
BASE_ADDRESS_5
CARDBUS_CIS
SUBSYSTEM_VENDOR_ID
SUBSYSTEM_ID
ROM_ADDRESS
INTERRUPT_LINE
INTERRUPT_PIN
MIN_GNT
MAX_LAT
PRIMARY_BUS
SECONDARY_BUS
SUBORDINATE_BUS
SEC_LATENCY_TIMER
IO_BASE
IO_LIMIT
SEC_STATUS
MEMORY_BASE
MEMORY_LIMIT
PREF_MEMORY_BASE
PREF_MEMORY_LIMIT
PREF_BASE_UPPER32
PREF_LIMIT_UPPER32
IO_BASE_UPPER16
IO_LIMIT_UPPER16
BRIDGE_ROM_ADDRESS
BRIDGE_CONTROL
CB_CARDBUS_BASE
CB_CAPABILITIES
CB_SEC_STATUS
CB_BUS_NUMBER
CB_CARDBUS_NUMBER
CB_SUBORDINATE_BUS
CB_CARDBUS_LATENCY
CB_MEMORY_BASE_0
CB_MEMORY_LIMIT_0
CB_MEMORY_BASE_1
CB_MEMORY_LIMIT_1
CB_IO_BASE_0
CB_IO_BASE_0_HI
CB_IO_LIMIT_0
CB_IO_LIMIT_0_HI
CB_IO_BASE_1
CB_IO_BASE_1_HI
CB_IO_LIMIT_1
CB_IO_LIMIT_1_HI
CB_SUBSYSTEM_VENDOR_ID
CB_SUBSYSTEM_ID
CB_LEGACY_MODE_BASE

VOIR AUSSI
lspci(8), pcilib(7)

AUTEUR
Les utilitaires PCI sont maintenus par Martin Mares <mj@ucw.cz>.

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 6 juin 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 setpci ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.